<template>
    <div class="multiSpeedChart-query-div">
        <el-table :data="state.m_QueryTableData" border>
            <el-table-column prop="speed" :label="t('detailPage.speed.TR')" align="center" />
            <el-table-column prop="frequency" :label="t('detailPage.frequency.TR')" align="center" />
            <el-table-column prop="flow" :label="t('detailPage.flow.TR')" align="center" />
            <el-table-column prop="head" :label="t('detailPage.head.TR')" align="center" />
            <el-table-column prop="power" :label="t('detailPage.power.TR')" align="center" />
        </el-table>
    </div>
</template>

<script setup name="">
import { ref, reactive, onMounted } from 'vue';
import { ElTable, ElTableColumn } from 'element-plus';
import { useI18n } from 'vue-i18n';
const { t } = useI18n();

let state = reactive({
    m_QueryTableData: [
        {
            speed: "",
            flow: "",
            head: "",
            power: "",
            frequency: ""
        },
        {
            speed: "",
            flow: "",
            head: "",
            power: "",
            frequency: ""
        },
        {
            speed: "",
            flow: "",
            head: "",
            power: "",
            frequency: ""
        },
        {
            speed: "",
            flow: "",
            head: "",
            power: "",
            frequency: ""
        },
        {
            speed: "",
            flow: "",
            head: "",
            power: "",
            frequency: ""
        },
    ],
})
const updateQueryData = (data) => {
    if (!data || data.length == 0) return;

    state.m_QueryTableData = data.map(item => {
        return {
            speed: item.speed,
            flow: item.Q,
            head: item.H,
            power: item.P,
            frequency: item.hz
        }
    });

}
defineExpose({
    updateQueryData
})
</script>

<style lang="scss" scoped>
.multiSpeedChart-query-div {
    width: 100%;

}
</style>